Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLDocumentImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexDocumentImpl
              org.mozilla.jrex.dom.html2.JRexHTMLDocumentImpl

All Implemented Interfaces:
  Document, HTMLDocument, Node

public class JRexHTMLDocumentImpl
extends JRexDocumentImpl
implements HTMLDocument

A class implementing org.w3c.dom.html2.HTMLDocument interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLDocument`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `close()` Closes a document stream opened by `open()` and forces rendering.
`HTMLCollection` | `getAnchors()` A collection of all the anchor (`A`) elements in a document with a value for the `name` attribute.
`HTMLCollection` | `getApplets()` A collection of all the `OBJECT` elements that include applets and `APPLET` (deprecated) elements in a document.
`HTMLElement` | `getBody()` The element that contains the content for the document.
`String` | `getCookie()` This mutable string attribute denotes persistent state information that (1) is associated with the current frame or document and (2) is composed of information described by the `cookies` non-terminal of [IETF RFC 2965], Section 4.2.2.
`String` | `getDomain()` The domain name of the server that served the document, or `null` if the server cannot be identified by a domain name.
`NodeList` | `getElementsByName(String elementName)` With [HTML 4.01] documents, this method returns the (possibly empty) collection of elements whose `name` value is given by `elementName`.
`HTMLCollection` | `getForms()` A collection of all the forms of a document.
`HTMLCollection` | `getImages()` A collection of all the `IMG` elements in a document.
`HTMLCollection` | `getLinks()` A collection of all `AREA` elements and anchor ( `A`) elements in a document with a value for the `href` attribute.
`String` | `getReferrer()` Returns the URI [IETF RFC 2396] of the page that linked to this page.
`String` | `getTitle()` The title of a document as specified by the `TITLE` element in the head of the document.
`String` | `getURL()` The absolute URI [IETF RFC 2396] of the document.
`void` | `open()` Open a document stream for writing.
`void` | `setBody(HTMLElement body)` The element that contains the content for the document.
`void` | `setCookie(String cookie)` This mutable string attribute denotes persistent state information that (1) is associated with the current frame or document and (2) is composed of information described by the `cookies` non-terminal of [IETF RFC 2965], Section 4.2.2.
`void` | `setTitle(String title)` The title of a document as specified by the `TITLE` element in the head of the document.
`void` | `write(String text)` Write a string of text to a document stream opened by `open()`.
`void` | `writeln(String text)` Write a string of text followed by a newline character to a document stream opened by `open()`.

Methods inherited from class org.mozilla.jrex.dom.JRexDocumentImpl
`createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getDocumentEvent, getDocumentRange, getDocumentTraversal, getDocumentView, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, importNode`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Document
`createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, importNode`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getTitle

    public String getTitle()

  Description copied from interface: `HTMLDocument`
  The title of a document as specified by the `TITLE` element in the head of the document.

  Specified by:
    `getTitle` in interface `HTMLDocument`

### setTitle

    public void setTitle(String title)

  Description copied from interface: `HTMLDocument`
  The title of a document as specified by the `TITLE` element in the head of the document.

  Specified by:
    `setTitle` in interface `HTMLDocument`

### getReferrer

    public String getReferrer()

  Description copied from interface: `HTMLDocument`
  Returns the URI [IETF RFC 2396] of the page that linked to this page. The value is an empty string if the user navigated to the page directly (not through a link, but, for example, via a bookmark).

  Specified by:
    `getReferrer` in interface `HTMLDocument`

### getDomain

    public String getDomain()

  Description copied from interface: `HTMLDocument`
  The domain name of the server that served the document, or `null` if the server cannot be identified by a domain name.

  Specified by:
    `getDomain` in interface `HTMLDocument`

### getURL

    public String getURL()

  Description copied from interface: `HTMLDocument`
  The absolute URI [IETF RFC 2396] of the document.

  Specified by:
    `getURL` in interface `HTMLDocument`

### getBody

    public HTMLElement getBody()

  Description copied from interface: `HTMLDocument`
  The element that contains the content for the document. In documents with `BODY` contents, returns the `BODY` element. In frameset documents, this returns the outermost `FRAMESET` element.

  Specified by:
    `getBody` in interface `HTMLDocument`

### setBody

    public void setBody(HTMLElement body)

  Description copied from interface: `HTMLDocument`
  The element that contains the content for the document. In documents with `BODY` contents, returns the `BODY` element. In frameset documents, this returns the outermost `FRAMESET` element.

  Specified by:
    `setBody` in interface `HTMLDocument`

### getImages

    public HTMLCollection getImages()

  Description copied from interface: `HTMLDocument`
  A collection of all the `IMG` elements in a document. The behavior is limited to `IMG` elements for backwards compatibility. As suggested by [HTML 4.01], to include images, authors may use the `OBJECT` element or the `IMG` element. Therefore, it is recommended not to use this attribute to find the images in the document but `getElementsByTagName` with HTML 4.01 or `getElementsByTagNameNS` with XHTML 1.0.

  Specified by:
    `getImages` in interface `HTMLDocument`

### getApplets

    public HTMLCollection getApplets()

  Description copied from interface: `HTMLDocument`
  A collection of all the `OBJECT` elements that include applets and `APPLET` (deprecated) elements in a document.

  Specified by:
    `getApplets` in interface `HTMLDocument`

### getLinks

    public HTMLCollection getLinks()

  Description copied from interface: `HTMLDocument`
  A collection of all `AREA` elements and anchor ( `A`) elements in a document with a value for the `href` attribute.

  Specified by:
    `getLinks` in interface `HTMLDocument`

### getForms

    public HTMLCollection getForms()

  Description copied from interface: `HTMLDocument`
  A collection of all the forms of a document.

  Specified by:
    `getForms` in interface `HTMLDocument`

### getAnchors

    public HTMLCollection getAnchors()

  Description copied from interface: `HTMLDocument`
  A collection of all the anchor (`A`) elements in a document with a value for the `name` attribute. For reasons of backward compatibility, the returned set of anchors only contains those anchors created with the `name` attribute, not those created with the `id` attribute. Note that in [XHTML 1.0], the `name` attribute (see section 4.10) has no semantics and is only present for legacy user agents: the `id` attribute is used instead. Users should prefer the iterator mechanisms provided by [DOM Level 2 Traversal] instead.

  Specified by:
    `getAnchors` in interface `HTMLDocument`

### getCookie

    public String getCookie()

  Description copied from interface: `HTMLDocument`
  This mutable string attribute denotes persistent state information that (1) is associated with the current frame or document and (2) is composed of information described by the `cookies` non-terminal of [IETF RFC 2965], Section 4.2.2.
  If no persistent state information is available for the current frame or document document, then this property's value is an empty string.
  When this attribute is read, all cookies are returned as a single string, with each cookie's name-value pair concatenated into a list of name-value pairs, each list item being separated by a ';' (semicolon).
  When this attribute is set, the value it is set to should be a string that adheres to the `cookie` non-terminal of [IETF RFC 2965]; that is, it should be a single name-value pair followed by zero or more cookie attribute values. If no domain attribute is specified, then the domain attribute for the new value defaults to the host portion of an absolute URI [IETF RFC 2396] of the current frame or document. If no path attribute is specified, then the path attribute for the new value defaults to the absolute path portion of the URI [IETF RFC 2396] of the current frame or document. If no max-age attribute is specified, then the max-age attribute for the new value defaults to a user agent defined value. If a cookie with the specified name is already associated with the current frame or document, then the new value as well as the new attributes replace the old value and attributes. If a max-age attribute of 0 is specified for the new value, then any existing cookies of the specified name are removed from the cookie storage. See [IETF RFC 2965] for the semantics of persistent state item attribute value pairs. The precise nature of a user agent session is not defined by this specification.

  Specified by:
    `getCookie` in interface `HTMLDocument`

### setCookie

    public void setCookie(String cookie)
                   throws DOMException

  Description copied from interface: `HTMLDocument`
  This mutable string attribute denotes persistent state information that (1) is associated with the current frame or document and (2) is composed of information described by the `cookies` non-terminal of [IETF RFC 2965], Section 4.2.2.
  If no persistent state information is available for the current frame or document document, then this property's value is an empty string.
  When this attribute is read, all cookies are returned as a single string, with each cookie's name-value pair concatenated into a list of name-value pairs, each list item being separated by a ';' (semicolon).
  When this attribute is set, the value it is set to should be a string that adheres to the `cookie` non-terminal of [IETF RFC 2965]; that is, it should be a single name-value pair followed by zero or more cookie attribute values. If no domain attribute is specified, then the domain attribute for the new value defaults to the host portion of an absolute URI [IETF RFC 2396] of the current frame or document. If no path attribute is specified, then the path attribute for the new value defaults to the absolute path portion of the URI [IETF RFC 2396] of the current frame or document. If no max-age attribute is specified, then the max-age attribute for the new value defaults to a user agent defined value. If a cookie with the specified name is already associated with the current frame or document, then the new value as well as the new attributes replace the old value and attributes. If a max-age attribute of 0 is specified for the new value, then any existing cookies of the specified name are removed from the cookie storage. See [IETF RFC 2965] for the semantics of persistent state item attribute value pairs. The precise nature of a user agent session is not defined by this specification.

  Specified by:
    `setCookie` in interface `HTMLDocument`
  Throws:
    `DOMException` - SYNTAX_ERR: If the new value does not adhere to the cookie syntax specified by [IETF RFC 2965].

### open

    public void open()
              throws DOMException

  Description copied from interface: `HTMLDocument`
  Open a document stream for writing. If a document exists in the target, this method clears it. This method and the ones following allow a user to add to or replace the structure model of a document using strings of unparsed HTML. At the time of writing alternate methods for providing similar functionality for both HTML and XML documents were being considered (see [DOM Level 3 Load and Save]).

  Specified by:
    `open` in interface `HTMLDocument`
  Throws:
    `DOMException`

### close

    public void close()
               throws DOMException

  Description copied from interface: `HTMLDocument`
  Closes a document stream opened by `open()` and forces rendering.

  Specified by:
    `close` in interface `HTMLDocument`
  Throws:
    `DOMException`

### write

    public void write(String text)
               throws DOMException

  Description copied from interface: `HTMLDocument`
  Write a string of text to a document stream opened by `open()`. Note that the function will produce a document which is not necessarily driven by a DTD and therefore might be produce an invalid result in the context of the document.

  Specified by:
    `write` in interface `HTMLDocument`
  Parameters:
    `text` - The string to be parsed into some structure in the document structure model.
  Throws:
    `DOMException`

### writeln

    public void writeln(String text)
                 throws DOMException

  Description copied from interface: `HTMLDocument`
  Write a string of text followed by a newline character to a document stream opened by `open()`. Note that the function will produce a document which is not necessarily driven by a DTD and therefore might be produce an invalid result in the context of the document

  Specified by:
    `writeln` in interface `HTMLDocument`
  Parameters:
    `text` - The string to be parsed into some structure in the document structure model.
  Throws:
    `DOMException`

### getElementsByName

    public NodeList getElementsByName(String elementName)

  Description copied from interface: `HTMLDocument`
  With [HTML 4.01] documents, this method returns the (possibly empty) collection of elements whose `name` value is given by `elementName`. In [XHTML 1.0] documents, this methods only return the (possibly empty) collection of form controls with matching name. This method is case sensitive.

  Specified by:
    `getElementsByName` in interface `HTMLDocument`
  Parameters:
    `elementName` - The `name` attribute value for an element.
  Returns:
    The matching elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.